QAC needs OSX version detect

RESOLVED FIXED

Status

RESOLVED FIXED
9 years ago
9 years ago

People

(Reporter: aaronmt, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment, 1 obsolete attachment)

(Reporter)

Description

9 years ago
Created attachment 398560 [details] [diff] [review]
OSX version detect patch

Currently, when a user is using QAC on OSX 10.6 (Snow Leopard) - QAC will report the user by default on 10.5. The reason for this as it is currently hard coded. 

By using 'navigator.oscpu' we can identify which version they are running and assign this preference properly.
 
This patch adds support for 10.[4 (Tiger)/5 (Leopard)/6 (Snow Leopard)]
Attachment #398560 - Flags: review?(harthur)
(Reporter)

Comment 1

9 years ago
Created attachment 398561 [details] [diff] [review]
OSX version detect patch - indented properly
Attachment #398560 - Attachment is obsolete: true
Attachment #398561 - Flags: review?(harthur)
Attachment #398560 - Flags: review?(harthur)
Comment on attachment 398561 [details] [diff] [review]
OSX version detect patch - indented properly

r= with what we talked about on irc, a default case.
Attachment #398561 - Flags: review?(harthur) → review+
Sending        chrome/content/prefs.js
Transmitting file data .
Committed revision 50898.
Status: NEW → RESOLVED
Last Resolved: 9 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.